%global momorel	1
%global md5sum_src0 7ca7e2908e24721471de92cf40c75e60

Summary: Scanner access software.
Name: sane-backends
Version: 1.0.18
Release: %{momorel}m%{?dist}
License: GPL and LGPL and Public Domain
URL: http://www.sane-project.org/
Group: System Environment/Libraries
%NoSource 0 ftp://ftp2.sane-project.org/pub/sane/%{name}-%{version}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: sane.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: libsane.so.1
PreReq: coreutils
Requires: udev
BuildPreReq: tetex-latex
BuildPreReq: libusb-devel >= 0.1.6
BuildPreReq: libgphoto2-devel >= 2.2.1-4m
BuildPreReq: libjpeg-devel
BuildPrereq: mktemp

%description
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.). If
they're using SANE, developers can write image-processing applications
without having to think about the peculiarities of individual devices.
SANE also makes it possible to write a device driver once, which can
then be used by any SANE-compliant application. SANE currently
includes drivers for some Epson SCSI scanners, HP ScanJet SCSI
scanners, Microtek SCSI scanners, Mustek SCSI flatbed scanners, PINT
devices, most UMAX SCSI scanners, Connectix QuickCam, and other SANE
devices via network. Note that this package does not enable network
scanning by default.  If you wish to enable network scanning, read the
saned(1) manpage.  If you'd like to develop SANE modules, you should
also install the sane-backends-devel package.

%package devel
Summary: The SANE (a universal scanner interface) development toolkit.
Group: Development/Libraries
Requires: sane-backends = %{version}-%{release}
Obsoletes: sane-devel
Provides: sane-devel

%description devel
Static libraries and header files for writing Scanner Access Now Easy
(SANE) modules.  SANE is a universal scanner interface which is
included in the sane-backends package.

%prep
%setup -q

# Fix bug #62847.
perl -pi -e 's,/dev/usbscanner0?,/dev/usb/scanner0,' backend/*.conf

# We patched configure.in, so regenerate configure.
sed '/^# libtool\.m4/,$d' < acinclude.m4 > acinclude.m4.new
mv -f acinclude.m4{.new,}
aclocal
libtoolize --force --copy
autoconf

%build
%{expand:%%define optflags %{optflags} -DGIMP_ENABLE_COMPAT_CRUFT=1}
%configure --with-gphoto2=%{_prefix} --with-docdir=%{_docdir}/%{name}-%{version}
%make

%install
rm -rf %{buildroot}
%makeinstall docdir=%{buildroot}/%{_docdir}/%{name}-%{version}
perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

rm -f %{buildroot}%{_bindir}/gamma4scanimage
rm -f %{buildroot}%{_mandir}/man1/gamma4scanimage.1*
rm -f %{buildroot}%{_libdir}/sane/*.a %{buildroot}%{_libdir}/*.a
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d

sed 's|MODE="660", GROUP="scanner"|SYMLINK+="scanner-%k"|g' tools/udev/libsane.rules > %{buildroot}%{_sysconfdir}/udev/rules.d/60-libsane.rules

%find_lang %name

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/icons doc/figs
%doc AUTHORS ChangeLog* NEWS PROBLEMS PROJECTS
%doc README README.linux
%dir /etc/sane.d
%config /etc/sane.d/*
%{_sysconfdir}/udev/rules.d/*
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_sbindir}/*
%{_libdir}/libsane*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%{_mandir}/*/*
%{_datadir}/pixmaps/sane.png
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%{_bindir}/sane-config
%{_includedir}/sane
%{_libdir}/libsane*.so
%{_libdir}/sane/*.so

%changelog
* Fri May 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.18-1m)
- version 1.0.18

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.17-4m)
- delete libtool library

* Fri Aug 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.17-3m)
- Requires: udev

* Fri Aug 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.17-2m)
- add udev support
- remove hotplug support

* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0.17-1m)
- update to 1.0.17
- change source URI

* Sat Dec 3 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.15-2m)
- rebuild agenst libexif-0.6.12-1m

* Thu Jan 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.15-1m)
- verup to 1.0.15

* Wed Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.14-1m)
- verup

* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.13-3m)
- add PreReq: coreutils

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.13-2m)
- revised spec for rpm 4.2.

* Sun Nov 30 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.13-1m)
- update to 1.0.13
- update Source2 and NoSource
- delete %%doc doc/*.ps 
- delete %%doc TODO from files section

* Fri Oct 17 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.0.12-3m)
- update URL

* Mon Oct 13 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.12-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (1.0.12-1m)
  Update to 1.0.12
  Since it was taken in, "epson" and "fujitsu" patch was deleted.

* Sat May  3 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.0.11-2m)
- import the patches from Mandrake.
  see the corresponding changelog below:

  * Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-5mdk
  - Now the "epson" backend should alsoi accept unknown USB vendor/product
    IDs in "usb ..." lines in epson.conf.

  * Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-4mdk
  - Really fixed bug that "epson" backend only accepted decimal USB
    vendor/product IDs.
  - Applied bug fix patch for the "avision" backend.

  * Fri Feb 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-3mdk
  - Added support for USB scanners with the "fujitsu" backend, especially
    also for the Fujitsu fi-4220C.
  - Fixed documentation and config files of the "epson" backend to mention
    USB scanner auto-detection support.
  - Fixed bug that "epson" backend only accepted decimal USB vendor/product
    IDs.

  * Mon Feb 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-2mdk
  - Updated "snapscan" backend (Support for Epson Perfection 660).

* Mon Feb 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.0.11-1m)
- [security]
  Since the SANE network scanning dameon (saned)
  in sane-backends-1.0.10 and all previous versions
  has remote DoS vulnerability, I upgraded it to the latest one (1.0.11).
  See the following for details.
  http://panda.mostang.com/pipermail/sane-devel/2003-February/017621.html

* Mon Feb 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.0.10-1m)
- update to 1.0.10
- move sane-config to -devel
- do not install doc/*.man
- fix BuildPrereq's

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.9-1m)
- update to 1.0.9
- add BuildPreReq: libusb >= 0.1.6
- add BuildPreReq: libgphoto2
- add BuildPreReq: libjpeg

* Wed Jul 24 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.8-1m)
- version up 1.0.8

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (1.0.7-4k)
- alpha... scanimage -f is not supported.

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.7-2k)
- update to 1.0.7

* Fri Oct 25 2001 Toru Hoshina <t@kondara.org>
- (1.0.5-2k)
- merge from rawhide. [1.0.5-4]
- sane obsoleted.

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390, s390x

* Tue Jul 17 2001 Preston Brown <pbrown@redhat.com> 1.0.5-3
- sane.png included

* Tue Jul 10 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-2
- sane-backends-devel provides sane-devel.

* Sun Jul  1 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-1
- 1.0.5.

* Wed Jun 20 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010620.0
- 2001-06-20 CVS update.  PreReq /bin/cat, /bin/rm.

* Mon Jun 11 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010610
- 2001-06-10 CVS snapshot.  umax_pp update from CVS again to fix more
  build problems.

* Sun Jun  3 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010603.1000
- 2001-06-03 CVS snapshot (10:00).  Fixes umax_pp build problems.

* Sat Jun  2 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010530
- sane-backends (sane-frontends is in a separate package now).
- 2001-05-30 CVS snapshot.
- include.patch no longer needed.
- sg3timeout.patch no longer needed.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-10
- Fix up the libtool config file /usr/lib/libsane.la
  kscan should build now. ;)

* Wed Jan 10 2001 Tim Waugh <twaugh@redhat.com>
- Increase timeout for SCSI commands sent via sg driver version 3
  (bug #23447)

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.2.0

* Thu Dec 21 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.32
- use -DGIMP_ENABLE_COMPAT_CRUFT=1 to build with compat macros

* Mon Dec 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.30

* Fri Dec  1 2000 Tim Waugh <twaugh@redhat.com>
- Rebuild because of fileutils bug.

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- fix provides for ia64/sparc64

* Thu Aug 29 2000 Trond Eivind Glomsr?<teg@redhat.com>
- don't include xscanimage desktop entry - it's a gimp
  plugin. Doh. (part of #17076)
- add tetex-latex as a build requirement

* Wed Aug 23 2000 Matt Wilson <msw@redhat.com>
- built against gimp 1.1.25

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- 1.0.3 bugfix release (#16726)
- rev patch removed, no longer needed

* Tue Aug 15 2000 Than Ngo <than@redhat.com>
- add triggerpostun to fix removing path from ld.so.conf at update

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to desktop file, Bug #15317

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- use mktemp in post and postun scripts
- fix incorrect usage of rev in backend/Makefile

* Wed Jul 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- workarounds for weird bug (all so-files had names with "s="
  - except for sparc which has just "=" and IA64 which works)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp-1.1.24

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths
- work around ICE on intel.  FIX ME!

* Mon May 22 2000 Tim Powers <timp@redhat.com>
-  rebuilt w/ glibc-2.1.90

* Thu May 18 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.2

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- make it play nice with xsane, add ld.so.conf entries

* Wed Apr 21 1999 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- updated package

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.73

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- umax drivers were missing from the file list.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- fixed library problem

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- got newer package from Sane web site than our old powertools one
